---
title: Navigator.clipboard
slug: Web/API/Navigator/clipboard
tags:
  - API
  - Clip
  - Clipboard
  - Cut
  - Navigator
  - Pasteboard
  - Property
  - Read-only
  - Reference
  - copy
  - paste
---
<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/Clipboard_API">Clipboard API</a> adds to the <strong>{{domxref("Navigator")}}</strong> interface the read-only <strong><code>clipboard</code></strong> property, which returns the {{domxref("Clipboard")}} object used to read and write the clipboard's contents.</span> The Clipboard API can be used to implement cut, copy, and paste features within a web application.</p>

<p>Use of the asynchronous clipboard read and write methods requires that the user grant the web site or app permission to access the clipboard. This permission must be obtained from the <a href="/en-US/docs/Web/API/Permissions_API">Permissions API</a> using the <code>"clipboard-read"</code> and/or <code>"clipboard-write"</code> permissions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>theClipboard</em> = navigator.clipboard;
</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("Clipboard")}} object used to access the system clipboard.</p>

<h2 id="Examples">Examples</h2>

<p>The following code uses <code>navigator.clipboard</code> to access the system clipboard in order to read the contents of the clipboard.</p>

<pre class="brush: js">navigator.clipboard.readText().then(
  clipText =&gt; document.querySelector(".cliptext").innerText = clipText);</pre>

<p>This snippet replaces the contents of the element whose class is <code>"cliptext"</code> with the text contents of the clipboard. Perhaps this code is being used in a browser extension that displays the current clipboard contents, automatically updating periodically or when specific events fire.</p>

<p>If the clipboard is empty or doesn't contain text, the <code>"cliptext"</code> element's contents are cleared. This happens because {{domxref("Clipboard.readText", "readText()")}} returns an empty string if the clipboard is empty or doesn't contain text.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Clipboard API','#navigator-clipboard','navigator.clipboard')}}</td>
   <td>{{Spec2('Clipboard API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.clipboard")}}</p>

<div>{{APIRef("Clipboard API")}}</div>
